﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Controls;
using System.Windows.Media;
using System.Windows.Media.Imaging;

namespace Maynot.WPF.ViewModel.MaynotTileClasses
{
    public class Bulldozer : MaynotTile
    {
        /// <summary>
        /// Property for displayed name on view.
        /// </summary>
        public override string DisplayName { get; } = "Bulldozer";
        /// <summary>
        /// Property for getting color of background.
        /// </summary>
        public override SolidColorBrush Background { get; } = new SolidColorBrush(Colors.LightBlue);
        public Bulldozer()
        {
            Name = " ";
            SpriteImage = new BitmapImage(new Uri("/Assets/trashCan.png", UriKind.Relative));
        }
    }
}
