﻿using System;

namespace MaynotPersistence
{
    public class Person
    {
		private int satisfaction;
		public int Age { get; set; }
        public (int, int) Residency { get; set; }
        public (int, int) WorkPlace { get; set; }
        public Level Education { get; set; }
        public float[] Taxes { get; set; }
		public int Satisfaction
		{
			get => satisfaction;
			set
			{
				satisfaction = Math.Max(0, value);
			}
		}

		public Person(int satisfaction,
            int age,
            (int, int) residency,
            (int, int) workPlace,
            Level education)
        {
            Taxes = new float[20];
            Satisfaction = satisfaction;
            Age = age;
            Residency = residency;
            WorkPlace = workPlace;
            Education = education;

        }
    }

}
